#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
typedef std::numeric_limits<double> dbl;

bool cmp(pair<int,int> a, pair<int,int> b) {
    return (a.first > b.first);
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n; cin >> n;
    pair<double, double> f[n];
    for (int i = 0; i < n; ++i) {
        double ai, pi; scanf("%lf %lf", &ai, &pi);
        f[i].first = ai;
        f[i].second = pi;
    }

    // sort by first element (price of freelancer)
    sort(f, f+n, cmp);

    double res = 0, maxRes = 0, porez;

    // for first
    porez = f[0].second;
    for (int i = 0; i < n; ++i)
        if (porez <= f[i].second)
            maxRes += f[i].first*(porez/100);

    // for rest
    for (int i = 1; i < n; ++i) {
        porez = f[i].second;
        res = 0;

        for (int j = 0; j < n; ++j)
            if (porez <= f[j].second)
                res += f[j].first*(porez/100);
        if (res < maxRes) break;
        else maxRes = res;
    }

    printf("%f", maxRes);

    return 0;
}